// Questo file fa parte di MyTown.
// MyTown è software libero: puoi ridistribuirlo e/o modificarlo secondo
// i termini della GNU Affero General Public License come pubblicata dalla
// Free Software Foundation, versione 3.
// Distribuito senza ALCUNA GARANZIA; vedi la GNU AGPL v3 per i dettagli.
// Copyright (C) Kondor Consulting & Services S.r.l.
// SPDX-License-Identifier: AGPL-3.0-or-later

import { Component } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { ConfigService } from '../../providers/config.service';
import { CalendarioAppuntamentiComponent } from '../../components/calendario-appuntamenti/calendario-appuntamenti.component';
import { Subscription } from 'rxjs';
import { ActivatedRoute } from '@angular/router';

@Component({
	selector: 'app-gestione-appuntamenti',
	templateUrl: 'gestione-appuntamenti.page.html',
	styleUrls: ['gestione-appuntamenti.page.scss'],
	standalone: false,
})
export class GestioneAppuntamentiPage {
	nameModule = '';
	appointmentBtn = false;
	cmp_id = 0;
	lst_appointment: any[] = [];

	paramsSubscription!: Subscription;

	constructor(private modalController: ModalController, public configService: ConfigService, private activated_route: ActivatedRoute) {}

	ngOnInit() {
		this.paramsSubscription = this.activated_route.params.subscribe((params) => {
			if (params['cmp_id']) {
				this.cmp_id = +params['cmp_id'];
			}
		});
	}

	async ionViewWillEnter() {
		/* if (this.config.isLogged()) {
			this.funService.funzionibyuser(this.nameModule).subscribe((res) => {
				res.forEach((el: any) => {
					if (el.mdfu_nome === 'Permessi Sezione') {
						this.worksiteBtn = true;
					}
				});
			});
		} */
	}

	async openAppointmentCalendar() {
		let css = '';

		const modal = await this.modalController.create({
			component: CalendarioAppuntamentiComponent,
			componentProps: {
				cmp_id: this.cmp_id,
			},
			cssClass: css,
		});
		modal.present();

		//CARICARE LISTA APPUNTAMENTI
		/*const { role } = await modal.onDidDismiss();
		if (role === 'reload') {
			this.getLista();
		}*/
	}
}
